21 апреля 2017

Как включить аппаратное ускорение в Firefox для Linux

В настоящее время Firefox поставляется по умолчанию с отключенным аппаратным ускорением во всех дистрибутивах Linux.
Firefox 57, вероятно, будет первым релизом, в котором аппаратное ускорение будет включено по умолчанию для Linux. Но так как Firefox 53 только что вышел и до Firefox 57 еще долго ждать, вы можете самостоятельно включить аппаратное ускорение в Firefox. Для этого необходимо выполнить всего лишь одно действие в настройках браузера.

Откройте новую вкладку, в адресной строке введите about:config, нажмите клавишу Ввод (Enter) и подтвердите: Я принимаю на себя риск!


Далее в строку поиска скопируйте/вставьте layers.acceleration.force-enabled и сделайте двойной клик в столбце Значение на слове false, чтбы получилось true:


Вот и всё.  Остаётся перезапустить браузер, чтобы пользоваться аппаратным ускорением.

P.S. Если у вас что-то пойдёт не так, войдите опять в настройки браузера: about:config и проделайте всё в обратном порядке, т.е. вернитесь к прежним настройкам. И вновь перезапустите браузер.

Удачи.

28 комментариев :

  1. Подключил ускорение, всё работает вроде бы,и как мне кажется быстрее. Спасибо за ценный совет.У меня 53-я лиса.

    ОтветитьУдалить
  2. Без alsa это уже не браузер ;)

    ОтветитьУдалить
  3. ой как хорошо сразу стало
    а чо хоть сделали то? вроде все как всегда

    ОтветитьУдалить
  4. ! Это действие меняет цвета, не критично но всё же ))
    http://telegra.ph/Firefox-04-22

    ОтветитьУдалить
    Ответы
    1. Это у Вас были какие-то изменения с цветами в браузере. У меня ни чего не изменилось: http://pix.toile-libre.org/upload/original/1492861743.png

      Удалить
  5. Да действительно,немного пошустрее Лиса стала после включения аппаратного ускорения.
    Спасибо Владимир...

    ОтветитьУдалить
  6. Спасибо! Очень долго ждал аппаратного ускорения. Теперь видео на YouTube 1080p60 не лагает =)

    ОтветитьУдалить
  7. Интересно,а в Тор брузере сработает этот способ?

    ОтветитьУдалить
    Ответы
    1. Тор какой версии, т.к. аппаратное ускорение работает в Firefox не ниже версии 48.

      Удалить
    2. + ведь же платформа у них одна по идее...

      Удалить
  8. Тор обновился до версии 6.5.2 недавно.

    ОтветитьУдалить
    Ответы
    1. Да, Александр Тор 6.5.2, но он основан на Firefox 45.8.0 ESR или 52.0.2 ESR, не помню сейчас. Какой из них у Вас? Откройте Тор-Справка-О Firefox и Вы узнаете свою версию. Если 52.0.2 ESR, то можно включить аппаратное ускорение.

      Удалить
    2. Спасибо Владимир,сейчас попробую.После отпишусь,по результатам.

      Удалить
    3. Я сейчас посмотрел на оф.сайте Тор 6.5.2 основан на Firefox 45.8.0 ESR. Тады ой.( Сожалею.

      Удалить
  9. Ну у меня показал 45.9 ESR и параметр этот есть в about:config и включатся по вашей инструкции.Но изменений в работе нет.
    А не подскажите,как обновиться?

    ОтветитьУдалить
    Ответы
    1. ==А не подскажите,как обновиться?== Пока ни как. Это самая актуальная версия Тор на сегодняшний день. Есть на оф.сайте разрабатываемая версия 7.0a3, т.е Альфа 3. Но её нужно устанавливать отдельно, если хотите: https://www.torproject.org/projects/torbrowser.html.en#downloads-alpha

      Удалить
    2. Не,разрабатываемая не по мне,люблю стабильность...
      Спасибо большое Владимир за лик.без,извиняюсь за беспокойство.

      Удалить
  10. Действительно пошустрее будет...
    Спасибо, Владимир!

    ОтветитьУдалить
  11. у меня этого пункта нету что делать убунту 16,04 ,2 http://vfl.ru/fotos/6cc842d416964729.html

    ОтветитьУдалить
    Ответы
    1. ==у меня этого пункта нету что делать убунту 16,04 ,2 http://vfl.ru/fotos/6cc842d416964729.html==
      Во-первых не систему нужно указывать, а версию браузера, потому что эта фишка появилась начиная только с Firefox 48. И второе правильно скопируйте/вставьте в строку поиска layers.acceleration.force-enabled Это очень важно.

      Удалить
    2. P.S. Перед layers.acceleration.force-enabled не должно быть пробела. Проверьте ещё раз.

      Удалить
  12. Ускорение включил, эффекта нет ибо пользую оперу :)
    А вообще годные темки, особенно темная, появились. Но уже привык к опере.

    ОтветитьУдалить
  13. Подскажите, а можно в 53 файрфоксе включить, как-нибудь, поддержку плагинов? нужна поддержка плагина айс-стрим. Если нельзя подскажите, как откатиться на версию, которая поддерживает плагины.

    ОтветитьУдалить
    Ответы
    1. Создайте в about:config через меню по ПКМ новый параметр plugin.load_flash_only (логический) и присвойте значение false.
      http://i.imgur.com/EGAyspN.png
      На всякий случай, перезапустите firefox.
      Хотя разработчики и грозились полностью убрать поддержку всех плагинов, кроме flash, в 53-версии, у меня этот способ пока работает.

      Установите в настройках плагина "всегда включать"
      http://i.imgur.com/QM1u2s6.png

      Удалить
    2. P.S. Если по какой-то причине это не поможет, воспользуйтесь этим репозиторием для установки firefox 52 esr, в нем этот способ работает гарантированно. Репозитории только для 14.04 и 16.04, но не исключено, что если оттуда скачать deb-пакеты, они установятся и в другие версии Убунту.

      Удалить
    3. Пардон, ссылку-то на реп с ESR я и забыл :))
      https://launchpad.net/~jonathonf/+archive/ubuntu/firefox-esr

      Удалить
    4. Все заработало. Спасибо большое!

      Удалить